<?php function bl_desktags(){ ?>
<div class='bl_w rgt'>
<sub id="ajDeskTags_a"><a class='sm' href='javascript:aj_desk("Tags", "<?php echo $_GET['p']; ?>", 0);'>открыть</a></sub>&nbsp;<span class='sm div_bbig2'>Описание тегов</span>&nbsp;
<?php if($_GET['p'] > 99){ ?>
<sub id="ajDeskOBase_a"><a class='sm' href='javascript:aj_desk("OBase", "<?php echo $_GET['p']; ?>", 0);'>открыть</a></sub>&nbsp;<span class='sm div_bbig2'>О базе</span>&nbsp;
<?php } ?>
<sub id="ajDeskHelp_a"><a class='sm' href='javascript:aj_desk("Help", 1, 0);'>открыть</a></sub>&nbsp;<span class='sm div_bbig2'>Советы по поиску</span>&nbsp;
</div><div class='bl_w2'><div id="ajDeskTags"></div><?php if($_GET['p'] > 99){ ?><div id="ajDeskOBase"></div><?php } ?><div id="ajDeskHelp"></div></div>
<?php }

function lcrop($str, $size = 33){
	if (strlen($str) > $size){$str = substr($str, 0, $size) . "...";}
	return $str;
}

function setarch($lnk, $isnew = 1){
	$str = '<a target="_blank" title="Скачать архив данной страницы" href="/archiv.php?file=' . $lnk . '"><img alt="архив" src="./img/arch.gif"></a> ';
	return $str;
}
function setmode($lnk, $isnew = 1){
	if ($_SESSION['tolight'] == 1){$str = '<a title="Открыть полную страницу записи"';}else{$str = '<a title="Открыть облегченную страницу записи"';}
	if ($isnew == 1){$str .= ' target="_blank"';}
	$str .= ' href="' . $lnk;
	if (strpos($lnk, "?") === false){$str .= "?";}else{$str .= "&";}
	$str .= 'mode=';
	if ($_SESSION['tolight'] == 1){$str .= 1111;}else{$str .= 1;}
	$str .= '"><img alt="';
	if ($_SESSION['tolight'] == 1){$str .= 'full';}else{$str .= 'light';}
	$str .= '" src="img/';
	if ($_SESSION['tolight'] == 1){$str .= 'sm100p';}else{$str .= 'sm50p';}
	$str .= '.gif" class="tp"></a>';
	return $str;
}
function ismode(){
	if ($_GET['mode'] >= 1000){return TRUE;}
	if (!$_GET['mode'] and !$_SESSION['tolight']){
		return TRUE;
	}else{
		return FALSE;
	}
}
function pinblock($tmp_g, $str){
?>
<div class="bl_w rgt" style="margin:7px 0px 0px 0px;">
<table><tr><td class="tfont" style="width:96%;padding:0px 3px 0px 0px;"><?php echo $str; ?></td><td class="rgt mdl wnw ssm wsm" style="padding:0px 0px 0px 7px;">
<span><a id="arm_hid<?php echo $tmp_g; ?>" class="fsc" style="display:none;" href="javascript:void(0);" onclick="document.getElementById('frm<?php echo $tmp_g; ?>').style.height = '1px';document.getElementById('arm_vis<?php echo $tmp_g; ?>').style.display = 'inline';document.getElementById('arm_hid<?php echo $tmp_g; ?>').style.display = 'none';"> скрыть</a></span><span><a id="arm_vis<?php echo $tmp_g; ?>" class="fsc" style="display:inline;" href="javascript:void(0);" onclick="document.getElementById('frm<?php echo $tmp_g; ?>').style.height = '333px';document.getElementById('arm_vis<?php echo $tmp_g; ?>').style.display = 'none';document.getElementById('arm_hid<?php echo $tmp_g; ?>').style.display = 'inline';document.getElementById('img<?php echo $tmp_g; ?>').setAttribute('src', '/img/project/<?php
echo $_GET['u'] . "/" . $tmp_g;
if (file_exists("img/project/" . $_GET['u'] . "/" . $tmp_g . ".jpg")){echo ".jpg";}else{echo ".gif";}
?>');document.getElementById('aimg<?php echo $tmp_g; ?>').setAttribute('href', '/img/project/<?php
echo $_GET['u'] . "/" . $tmp_g;
if (file_exists("img/project/" . $_GET['u'] . "/" . $tmp_g . ".jpg")){echo ".jpg";}else{echo ".gif";}
?>')"> отобразить</a></span>
</td></tr></table></div>
<div class="bl_w2 mdl pg10 hidebl" id="frm<?php echo $tmp_g; ?>"><center>
<a title="Открыть в отдельном окне" id="aimg<?php echo $tmp_g; ?>" target="_blank" href=""><img alt="Иллюзия <?php echo $tmp_g; ?>" id="img<?php echo $tmp_g; ?>" src="/galary/small/_project/load.gif"></a>
</center></div>
<?php
}



function ttag($str, $p, $isTag, $tag, $i){
if ($i%2){echo "<tr>";}
echo '<td class="tfont td_tag">';
if ($isTag <> 666){
echo '<a class="bld sm" href="javascript:atagcreator(';
if ($p > 99){
	echo "'/online.php?p=" . $p . "&tag=" . $isTag . "');";
}else{
	echo "'/umora.php?tag=" . $isTag . "');";
}
echo '">' . $tag . '&nbsp;</a><span class="ssm">' . mysql_num_rows(mysql_query("select p_tag from tblTag_" . $p . " where p_tag = " . $isTag)) . '</span>&nbsp;' . $str . '.';
}
echo '</td>';
if ($i%2 == 0){echo "</tr>";}
}



function allblock($name, $numb = 3){
	switch($name){
	case "bd":	
		$randbd = 2*mt_rand(1,sizeof($obase)) + 99;
		$query = "select * from obd_" . $randbd . " limit " . (mt_rand(1,mysql_num_rows(mysql_query("select jobid from obd_" . $randbd))) - 1) . ", 1";
		$result = mysql_query($query);
		$row = mysql_fetch_array($result);
		echo "<div class='lft bl_w'><span class='bld'>" . stripslashes($row['name']) . "</span>";
		if (strlen($row['word2']) > 5) {echo " " . stripslashes($row['word2']);}
		echo " " . setmode("online.php?p=" . ($randbd + 1) . "&u=" . $row['jobid']) . "<sub><a class='sm' title = 'Перейти к описанию записи' href='online.php?p=". ($randbd + 1) . "&u=" . $row['jobid'] .  "'>перейти</a></sub></div><div class='bl_w2'>";
		if (strlen($row['desk']) > 4) {
			echo "<div class='sm'>";
			$tmp1 = strip_tags(stripslashes($row['desk']));
			if (strlen($tmp1) < 160){
				echo $tmp1;
			}else{
				echo substr($tmp1, 0, 150) . "...";
			}
			echo "</div>";
		}
		echo "</div>";
	break;
	case "know":
		$randknow = mt_rand(1,mysql_num_rows(mysql_query("select jobid from obd_11"))) - 1;
		$row = mysql_fetch_array(mysql_query("select * from obd_11 order by jobid desc limit " . $randknow . ", 1"));
		echo "<div class='bl_w'><span class='sm div_bbig2'>Советы</span> " . setmode("know.php?u=1&l=" . ($randknow - $randknow%$_SESSION['listnumb']), 0) . "<sub><a class='sm' title = 'Перейти к разделу Советы' href='/know.php?u=1&l=" . ($randknow - $randknow%$_SESSION['listnumb']) . "'>все</a></sub></div><div class='bl_w2'>";
		echo stripslashes($row['name']);
		echo '</div>';	
	break;
	case "umor":
		$randknow = mt_rand(1,mysql_num_rows(mysql_query("select jobid from obd_17"))) - 1;
		$row = mysql_fetch_array(mysql_query("select * from obd_17 order by jobid desc limit " . $randknow . ", 1"));
		echo "<div class='bl_w'><span class='sm div_bbig2'>Юмор</span> " . setmode("umora.php?u=1&l=" . ($randknow - $randknow%$_SESSION['listnumb']), 0) . "<sub><a class='sm' title = 'Перейти к разделу Юмор' href='/umora.php?u=1&l=" . ($randknow - $randknow%$_SESSION['listnumb']) . "'>все</a></sub></div><div class='bl_w2 lft'>";
		$row['name'] = stripslashes($row['name']);
		if (strpos($row['name'], "<p>") === false){
			echo substr($row['name'], 0, 160) . "...";
		}else{
			if (strpos($row['name'], "</p>") < 170 - 3){
				echo substr($row['name'], 3, strpos($row['name'], "</p>") - 3);
			}else{
				echo substr($row['name'], 3, 160) . "...";
			}
		}
		echo '</div>';
	break;
	case "news";
		$myprg = $_GET['p'];
		$result = mysql_query("select * from obd_10 where word2 = " . $myprg . " order by jobid desc limit 0, " . $numb);
		$num_result = mysql_num_rows($result);
		echo "<div  class='bl_w'><span class='sm div_bbig2'>Новости</span> " . setmode("news.php?tag=" . $myprg, 0) . "<sub><a class='sm' title = 'Отобразить все новости' href='/news.php?tag=" . $myprg  . "'>все</a></sub></div><div class='bl_w2'>";
		if ($num_result){
			for ($i=0; $i<$num_result; $i++){
				$row = mysql_fetch_array($result);
				echo " <span class='bld'>" . stripslashes($row['desk']) . "</span> " . stripslashes($row['name']);
			}	
		}else{
			echo "нет новостей";
		}
		echo "</div>";
	break;		
	case "newsall";
		$result = mysql_query("select * from obd_10 order by jobid desc limit 0, " . $numb);
		$num_result = mysql_num_rows($result);
		echo "<div  class='bl_w'><span class='sm div_bbig2'>Наши новости</span> " . setmode("news.php", 0) . "<sub><a class='sm' title = 'Отобразить все новости' href='/news.php'>все</a></sub></div><div class='bl_w2'>";
		if ($num_result){
			for ($i=0; $i<$num_result; $i++){
				$row = mysql_fetch_array($result);
				if ($row['word2'] <> 0){ echo "<a class='ssm' title='Перейти к данной онлайн базе данных' href='/";
				switch ($row['word2']){
				case 11: echo "know.php";break;
				case 17: echo "umora.php";break;
				default: echo "online.php?p=" . $row['word2'];
				}
				echo "'>Перейти</a>";}
				echo "&nbsp;<span class='bld'>" . stripslashes($row['desk']) . "</span> ";
				echo stripslashes($row['name']) . "<br />";
			}	
		}
		echo "</div>";
	break;		
	case "newsit";
		$myprg = $_GET['p'];
		$result = mysql_query("select name, desk, jobid, desk_more from onestyle_w.news_it order by jobid desc limit 0, " . $numb);
		$num_result = mysql_num_rows($result);
		echo "<div  class='bl_w'><span class='sm div_bbig2'>Новости IT</span> " . setmode("news_it.php", 0) . "<sub><a class='sm' title = 'Отобразить все новости' href='/news_it.php'>все</a></sub></div><div class='bl_w2'>";
		if ($num_result){
			for ($i=0; $i<$num_result; $i++){
				$row = mysql_fetch_array($result);
				if ($row['desk_more'] <> ""){
					echo setmode("news_it.php?d=" . $row['jobid'], 0);
					$tmp_body = strip_tags(html_entity_decode(stripslashes($row['desk'])));
					if (strlen($tmp_body) > 200){$tmp_body = substr($tmp_body, 0, 200) . "...";}
					echo "<a target='_blank' href='/news_it.php?d=" . $row['jobid'] . "'><span class='ssm'> Локальная</span></a> ";}
				echo " <span class='bld'>" . stripslashes($row['name']) . "</span> " . $tmp_body . "<br />";
			}	
		}
		echo "</div>";
	break;		
	case "proj":
		$query = "select * from obd_0 limit " . (mt_rand(1,mysql_num_rows(mysql_query("select jobid from obd_0"))) - 1) . ", 1";
		$result = mysql_query($query);
		$row = mysql_fetch_array($result);
		
		
		echo "<div class='bl_w'><span class='sm div_bbig2'>проекты</span> " . setmode("project.php?u=" . $row['jobid'], 0) . "<sub><a class='sm' title = 'Перейти к данному проекту' href='project.php?u=" . $row['jobid'] . "'>перейти</a></sub></div><div class='bl_w2'>";
		
		echo "<span class='sm' style='color:navy;'>" . stripslashes($row['name']) . "</span>";
		if (strlen($row['desk']) > 4) {
			echo "<span style='font-weight:normal;'>. ";
			$tmp1 = stripslashes($row['desk']);
			if (strpos($tmp1, "<p>") === false){
				echo substr($tmp1, 0, 150) . "...";
			}else{
				if (strpos($tmp1, "</p>") < 160 - 3){
					echo substr($tmp1, 3, strpos($tmp1, "</p>") - 3);
				}else{
					echo substr($tmp1, 3, 150) . "...";
				}
			}
		}
		echo "</div>";
	break;
	}
}
function deldel($str){
	return " " . str_replace('/', ' ', str_replace('"', ' ', str_replace("<", " <", str_replace("=", " ", str_replace("[", " ", str_replace("\r\n", " ", str_replace("?", " ", str_replace("]", " ", str_replace("!", " ", str_replace(")", " ", str_replace("(", " ", str_replace(",", "", $str)))))))))))) . " ";
}

function textterm($str, $bd = 101, $txt = "Термины статьи", $in = "name"){
$str = str_replace("[dll]", ".dll", str_replace("[exe]", ".exe", str_replace(".", " ", str_replace(".exe", "[exe]", str_replace(".dll", "[dll]", deldel($str))))));
$result = mysql_query("select name, word2, jobid from obd_" . $bd . " order by name");
$num_result = mysql_num_rows($result);
$text = "";
$tmpstop = 0;
for ($k=0; $k<$num_result; $k++){
	$row = mysql_fetch_array($result);
	if (strpos($str, " " . $row[$in] . " ") === false){}else{
		$text .= "<div class='wnw' style='display:block;width:188px;overflow:hidden;'>" . setmode("online.php?p=" . ($bd + 1) . "&u=" . $row['jobid']) . "<a class='sm' title='Отобразить описание термина' target='_blank' href='/online.php?p=" . ($bd + 1) . "&u=" . $row['jobid'] . "'>" . $row['name'];
		if ($row['word2'] <> " " and $row['word2'] <> "нет") {$text .= " <span class='ssm'>" . stripslashes($row['word2']) . "</span>";}
		$text .= "</a></div>";
		if(++$tmpstop > 22){$text .= "<span class='ssm'>...и другие</span>";break;}
	}
}
if ($text <> ""){
	return "<div class='bl_w'><span class='sm div_bbig2'>" . $txt . "</span></div><div class='bl_w2 lft'>" . $text . '</div>';
}else{
	return "";
}
}

function alltextterm($str, $bd = 101, $txt = "Термины статьи", $in = "name"){
$str = str_replace("[dll]", ".dll", str_replace("[exe]", ".exe", str_replace(".", " ", str_replace(".exe", "[exe]", str_replace(".dll", "[dll]", deldel($str))))));
$result = mysql_query("select name, word2, jobid from obd_" . $bd);
$num_result = mysql_num_rows($result);
$text = "";
$tmpstop = 0;
for ($k=0; $k<$num_result; $k++){
	$tmp_no_rep = 0;
	$row = mysql_fetch_array($result);
	if (strpos($str, " " . $row[$in] . " ") === false){}else{
		$tmp_no_rep++;
		$text .= "<div class='wnw' style='display:block;width:188px;overflow:hidden;'>" . setmode("online.php?p=" . ($bd + 1) . "&u=" . $row['jobid']) . "<a class='sm' title='Отобразить описание термина' target='_blank' href='/online.php?p=" . ($bd + 1) . "&u=" . $row['jobid'] . "'>" . $row['name'];
		if ($row['word2'] <> " " and $row['word2'] <> "нет") {$text .= " <span class='ssm'>" . stripslashes($row['word2']) . "</span>";}
		$text .= "</a></div>";
		if(++$tmpstop > 22){$text .= "<span class='ssm'>...и другие</span>";break;}
	}
	if (strpos(" " . $row[$in] . " ", $str) === false or $tmp_no_rep){}else{
		$text .= "<div class='wnw' style='display:block;width:188px;overflow:hidden;'>" . setmode("online.php?p=" . ($bd + 1) . "&u=" . $row['jobid']) . "<a class='sm' title='Отобразить описание термина' target='_blank' href='/online.php?p=" . ($bd + 1) . "&u=" . $row['jobid'] . "'>" . $row['name'];
		if ($row['word2'] <> " " and $row['word2'] <> "нет") {$text .= " <span class='ssm'>" . stripslashes($row['word2']) . "</span>";}
		$text .= "</a></div>";
		if(++$tmpstop > 22){$text .= "<span class='ssm'>...и другие</span>";break;}
	}
}

if ($text <> ""){
	return "<div class='bl_w'><span class='sm div_bbig2'>" . $txt . "</span></div><div class='bl_w2 lft'>" . $text . '</div>';
}else{
	return "";
}
}

function rtextterm($str, $tag = 666, $bd = 173, $txt = "Сценарии", $pl = "word2", $bdname = ""){
if ($bdname == ""){$bdname = "obd_" . $bd;}
if ($tag <> 666){
	$query = "select * from " . $bdname . ", tblTag_" . $bd . " where p_tag=" . $tag . " and word_id = jobid";
}else{
	$query = "select * from " . $bdname;
}
$result = mysql_query($query);
$num_result = mysql_num_rows($result);
$text = "";
$tmpstop = 0;
for ($k=0; $k<$num_result; $k++){
	$row = mysql_fetch_array($result);
	$row[$pl] = str_replace("[dll]", ".dll", str_replace("[exe]", ".exe", str_replace(".", " ", str_replace(".exe", "[exe]", str_replace(".dll", "[dll]", deldel($row[$pl]))))));
	if (strpos($row[$pl], $str) === false){}else{
		$text .= "<div class='wnw' style='display:block;width:188px;overflow:hidden;'>" . setmode("online.php?p=" . ($bd + 1) . "&u=" . $row['jobid']) . "<a class='sm' title='Отобразить описание термина' target='_blank' href='/online.php?p=" . ($bd + 1) . "&u=" . $row['jobid'] . "'>" . $row['name'];
		$text .= "</a></div>";
		if(++$tmpstop > 22){$text .= "<span class='ssm'>...и другие</span>";break;}
	}
}
if ($text <> ""){
	return "<div class='bl_w'><span class='sm div_bbig2'>" . $txt . "</span></div><div class='bl_w2 lft'>" . $text . '</div>';
}else{
	return "";
}
}

function replace_for_base($str){
$str = str_replace("(", "", $str);
$str = str_replace(")", "", $str);
$str = str_replace("[", "", $str);
$str = str_replace("]", "", $str);
$str = str_replace("\\", "/", $str);	

	return $str;
}

function filter_find($find, $str){
	$str = stripslashes($str);
	$find = str_replace("%", "", $find);
	if ($find <> "" and $find <> "Введите часть слова"){
		return eregi_replace($find, "<span class='bl_bb'>" . $find . "</span>", $str);
	}else{
		return $str;
	}
}


function finds5last_set($bd, $str){
if ($str == "" or $str == "Введите слово или жмите Enter" or $str == "Введите искомое слово"){return;}
$str = str_replace("\\", "", str_replace('"', "", $str = str_replace("'", "", $str)));
unset($finds5last);
mysql_select_db('onestyle_w');
$result = mysql_query("select * from obd_all where obd_numb = " . $bd);
$num_result = mysql_num_rows($result);
if ($num_result){ $row = mysql_fetch_array($result);$finds5last = unserialize($row['obd_finds']); }else{$finds5last[0] = "empty";}
if($str <> $finds5last[0]){array_unshift($finds5last, $str);}
$finds5last = array_slice($finds5last, 0, (4 + $_SESSION['listwidth']));
if ($num_result){ $result = mysql_query("update obd_all set obd_finds = '" . serialize($finds5last) . "' where obd_numb = " . $bd); }else{ $result = mysql_query("insert into obd_all values (" . $bd . ", '" . serialize($finds5last) . "')"); }
mysql_select_db('onestyle_testmy');
}

function finds5last_get($bd){
mysql_select_db('onestyle_w');
$result = mysql_query("select * from obd_all where obd_numb = " . $bd);
$num_result = mysql_num_rows($result);
if ($num_result){
	$row = mysql_fetch_array($result);
	$finds5last = unserialize($row['obd_finds']);
	echo "<div class='sm' style='padding:3px 7px;'><span class='bld'>Последние запросы: </span>";
	for($i=1;$i<=count($finds5last);$i++){
		$finds5last[$i-1] = str_replace("\\", "", $str = str_replace('"', "", $str = str_replace("'", "", $finds5last[$i-1])));
		echo "<sub> " . $i . "</sub> <a href='javascript:void(0);' onclick='afind(";
		echo '"' . $finds5last[$i-1] . '"';
		echo ")'>" . lcrop($finds5last[$i-1]) . "</a>";
	}
	echo "</div>";
}
mysql_select_db('onestyle_testmy');
}

function genfndf($str, $size=30, $txt = "Введите слово или жмите Enter"){
switch($str){
case "user_name":
?>
<input class="cinline" size="<?php echo $size; ?>" maxlength="70" type="text" id="id_user_name" name="user_name" value="<?php if (isset($_POST['user_name'])) {echo $_POST['user_name'];}else{echo $txt;} ?>" onmousedown="if(event.ctrlKey == false){fInputOver(this, '<?php echo $txt; ?>');}else{fInputOver(this, '*');}" onkeydown="if(event.keyCode == 13){document.getElementById('fchangedirect').submit();}" />
<?php
	break;
case "restrict_find":
?>
<select class="cinline" name="restrict_find" onchange="javascript:document.getElementById('fchangedirect').submit();">
<option value="1" <?php if ($_POST['restrict_find'] == "1") {echo "selected";} ?>>Середина</option>
<option value="2" <?php if ($_POST['restrict_find'] == "2") {echo "selected";} ?>>Начало</option>
<option value="3" <?php if ($_POST['restrict_find'] == "3") {echo "selected";} ?>>Конец</option>
<option value="4" <?php if ($_POST['restrict_find'] == "4") {echo "selected";} ?>>Слово</option>
</select>
<?php
	break;
case "in_orderby":
?>
<select class="cinline" title="Выберите тип сортировки записей" name="in_orderby" onchange="javascript:document.getElementById('fchangedirect').submit();">
<option value="1" <?php if ($_POST['in_orderby'] == "1") {echo "selected";} ?>>По дате [desc]</option>
<option value="2" <?php if ($_POST['in_orderby'] == "2") {echo "selected";} ?>>По дате [asc]</option>
<option value="3" <?php if ($_POST['in_orderby'] == "3") {echo "selected";} ?>>По имени [desc]</option>
<option value="4" <?php if ($_POST['in_orderby'] == "4") {echo "selected";} ?>>По имени [asc]</option>
</select>
<?php
	break;
}
}

unset($services);
$services[] = array('Цвета RGB', '/project.php?u=22', 'Форма для отображения произвольного диапазона цветов RGB');
$services[] = array('Отправка SMS', '/project.php?u=25', 'Формы для бесплатной отправки sms на номера телефонов различных операторов');
$services[] = array('Поиск везде', '/findall.php?words=onestyle.com.ua', 'Наша форма для одновременного поиска в большинстве популярных поисковых систем');
$services[] = array('Мультибраузер', '/project.php?u=28', 'Данная форма позволяет отображать от 1 до 9 сайтов, адреса которых укажет пользователь, на одной странице (тестовый режим)');
$services[] = array('Сведения об IP', '/project.php?u=29', 'Основные сведения об IP-адресе (URL сайта, местонахождение компьютера, сведения о пользователе, данные от whois)');
$services[] = array('Спам-базы', '/project.php?u=29', 'Проверить присутствие IP-адреса в основных спам-базах');
$services[] = array('Сайты на IP', '/project.php?u=29', 'Определить сайты, хостящиеся на конкретном IP');
$services[] = array('Онлайн ICQ', '/project.php?u=30', 'Позволяет запустить онлайн-версию клиента ICQ');
$services[] = array('Сведения о ICQ', '/project.php?u=30', 'Позволяет получить основные сведения о конкретном пользователе ICQ');
$services[] = array('Пользователи ICQ', '/project.php?u=30', 'Позволяет добавить в контакт-лист или отослать сообщение конкретному пользователю ICQ');

unset($tips);
$tips[] = "Надоела реклама на нашем сайте? Зарегистрируйтесь и для вас она отображаться не будет!";
$tips[] = "В сайте вам что-то не нравится? Тогда не забудьте перейти на главную страницу и еще раз прочитать о том, зачем он вообще создавался";
$tips[] = "Чтобы в форме поиска установить/сбросить флажок без отправки самого запроса поиска, во время модификации зажмите CTRL";

unset($rek);
$rek[] = "Любой дизайн, будь то дизайн сайта, корпоративного стиля, либо дизайн интерьера&nbsp;&mdash; это отражение внутреннего мира, лица компании или индивидуального клиента. А что вы делаете, когда вам нужно сменить имидж, либо просто прическу? Вы идете к профессионалам! Так вот, мы именно те профессиональные стилисты и парикмахеры, которые смогут сделать шедевр из вашего заказа.";
$rek[] = "Мы полностью открыты для заказчика. Хотите узнать о нас больше? Пожалуйста! На все ваши вопросы мы ответим честно, безо всякой подоплеки. Хотите проверить наши знания и таланты? Нет ничего проще! На сайте вы найдете как наши работы, так и множество онлайн баз данных, которые иллюстрируют наши знания в различных областях IT-сферы.";
$rek[] = "Мы пропагандируем индивидуальный подход к каждому клиенту. С нами вы не будете чувствовать себя забытым и потерянным. Мы внимательно отнесемся к вашим пожеланиям и замечаниям, создав красивый дизайн не только быстро и качественно, но и с учетом всех ваших предложений.";
$rek[] = "Теоретически мы можем все. Мы профессионалы. Каждый в отдельной области (или нескольких областях). Мы следим за новыми технологиями, изучаем новые приемы, проводим исследования. И это все для того, чтобы всегда быть впереди на один-два шага. В общем, мы очень хотим стать лучшими, и это желание потихоньку делает из нас экспертов. А уж если мы объединимся для создания вашего проекта…. Но вы должны понять одно - мы не боги!.";
$rek[] = "Мы помешаны на творчестве и можем работать 24 часа в сутки. Однако и нам нужен отдых. В противном случае мы сгорим. Причем сгорим вместе с гонораром, который вы предоставите нам за работу. Поэтому устанавливать очень сжатые сроки не стоит - это может быть невыгодно не только для нас.";
$rek[] = "Мы всегда готовы вам помочь. Особенно если это в наших интересах и за ваши деньги... нет, мы конечно можем работать бесплатно&nbsp;&mdash; мы не любим деньги и не гоняемся за ними. Но знаете, жить без денег ужасно скучно. Вы и сами понимаете.";


unset($baccess);
$baccess[] = array('Справка', '19', 'Содержит перечень разделов справки Windows Vista и упрощает работу с ней');
$baccess[] = array('Привилегии', '20', 'Описание прав и привилегий операционной системы Windows Vista');
$baccess[] = array('Службы', '21', 'Стандартное описание служб Windows Vista, а также сведения об их характеристиках');
$baccess[] = array('Программы', '23', 'Описание документированных и недокументированных опций стандартных программ Windows Vista');
$baccess[] = array('rundll32.exe', '24', 'Описание команд rundll32.exe, доступных в Windows Vista');
$baccess[] = array('Реестр', '27', 'Описание параметров реестра, доступных в Windows Vista');
$baccess[] = array('GPO', '26', 'Описание параметров реестра, изменяемых групповыми политиками');


?>